package ru.dbotthepony.mc.otm.mixin;

import net.minecraft.world.entity.player.Player;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;
import ru.dbotthepony.mc.otm.capability.MatteryPlayerCapability;

@Mixin(Player.class)
public class MixinPlayer {
	@Inject(
		method = "destroyVanishingCursedItems()V",
		at = @At("TAIL")
	)
	private void destroyVanishingCursedItems(CallbackInfo ci) {
		MatteryPlayerCapability.playerDestroyVanishingCursedItems((Player)(Object)this);
	}
}
